CopySnapshot#

Description#

The request for copying a snapshot.

Request Parameters#

Required parameters#

  • SourceRegion — The region where the source snapshot is stored.

    • Required: Yes

    • Type: String

  • SourceSnapshotId — The ID of the source snapshot.

    • Required: Yes

    • Type: String

Optional parameters#

  • Description — The description of the new snapshot.

    • Required: No

    • Type: String

  • TagSpecification.N — The tags assigned to the new snapshot.

Response Elements#

  • snapshotId — The ID of the new snapshot.

    • Type: String

  • tagSet — Any tags assigned to the new snapshot.

    • Type: List of Tag objects

Examples#

c2-ec2 CopySnapshot SourceSnapshotId snap-819F4550 SourceRegion ru-msk

c2-ec2 CopySnapshot SourceSnapshotId snap-819F4550 SourceRegion ru-msk Description 'Copy from snap-819F4550 msk'

c2-ec2 CopySnapshot SourceSnapshotId snap-819F4550 SourceRegion ru-msk TagSpecification.1.ResourceType "snapshot" \
                    TagSpecification.1.Tag.1.Key "tag_key" TagSpecification.1.Tag.1.Value "tag_value"